#ifndef WFPAGE_H
#define WFPAGE_H

#include "wfdisplay_global.h"

#include <QtGui/QMainWindow>
#include <QRadioButton>
#include <QDockWidget>
#include <QToolBar>

#include <wfplot.h>
#include <wfdisplay_params.h>

class WFDISPLAYSHARED_EXPORT WFPage : public QMainWindow
{
    Q_OBJECT
public:
    explicit WFPage(QWidget *parent = 0);

    void createToolBar();
    void buildDockList();
    void unTabify();
    void tabify();

    QWidget *titleWidgetV;
    QWidget *titleWidgetE1;
    QWidget *titleWidgetE2;
    QWidget *titleWidgetB1;
    QWidget *titleWidgetB2;
    QWidget *titleWidgetB3;

    QList<QDockWidget*> dockList;

    QDockWidget *dockV;
    QDockWidget *dockE1;
    QDockWidget *dockE2;
    QDockWidget *dockB1;
    QDockWidget *dockB2;
    QDockWidget *dockB3;

    QRadioButton *radio_v;
    QRadioButton *radio_e1;
    QRadioButton *radio_e2;
    QRadioButton *radio_b1;
    QRadioButton *radio_b2;
    QRadioButton *radio_b3;
    QRadioButton *radio_tabify;

    QToolBar *myToolBar;

    WFPlot *wfPlot_v;
    WFPlot *wfPlot_e1;
    WFPlot *wfPlot_e2;
    WFPlot *wfPlot_b1;
    WFPlot *wfPlot_b2;
    WFPlot *wfPlot_b3;

    //QGridLayout *mainLayout;

    void displayOnPlot(short *data, unsigned char num);
    
signals:
    
public slots:
    void actionRadioV(bool state);
    void actionRadioE1(bool state);
    void actionRadioE2(bool state);
    void actionRadioB1(bool state);
    void actionRadioB2(bool state);
    void actionRadioB3(bool state);
    void organizeDocks();
    
};

#endif // WFPAGE_H
